
QGIS Application - Bug report #17182

Save Graduated Style to MSSQL Database Fails

2017-09-22 03:57 AM - Martin Bain

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider/MSSQL

Affected QGIS version:2.18.11 Regression?: No

Operating System: Win7 32 bit Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 25081

Description

I tried to save a Graduated Style to the database but it failed with the message box:

"Unable to save layer style. It's not possible to insert a new record into the style table. Maybe this is due to table permissions. Please

contact your database administrator."

I converted it to a rule based style and it saved without error.

I have been happily saving styles to the database for a while now and it always works but I think this is the first time I have tried to save a

Graduated Style.

The offending style files are attached.

Thank you.

Related issues:

Duplicates QGIS Application - Bug report # 16937: Error saving graduated styl... Closed 2017-07-27

History

#1 - 2017-09-22 09:58 AM - Giovanni Manghi

- Resolution set to duplicate

- Status changed from Open to Closed

Duplicate of #16937

#2 - 2017-09-28 09:30 AM - Jürgen Fischer

- Duplicates Bug report #16937: Error saving graduated style in databases added

Files

PipeAgeStyle.sld 7.88 KB 2017-09-22 Martin Bain

PipeAgeStyle.qml 32.2 KB 2017-09-22 Martin Bain
